Check if user is subscribed to an issue
GET
/repos/{owner}/{repo}/issues/{index}/subscriptions/check
const url = 'https://gitea.example.com/api/v1/repos/example/example/issues/1/subscriptions/check';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://gitea.example.com/api/v1/repos/example/example/issues/1/subscriptions/check \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”owner
required
string
Owner of the repo
repo
required
string
Name of the repo
index
required
integer format: int64
Index of the issue
Responses
Section titled “Responses”WatchInfo
Media typeapplication/json
WatchInfo represents an API watch status of one repository
object
created_at
string format: date-time
ignored
boolean
reason
repository_url
string
subscribed
boolean
url
string
Examplegenerated
{ "created_at": "2026-04-15T12:00:00Z", "ignored": true, "reason": "example", "repository_url": "example", "subscribed": true, "url": "example"}APINotFound is a not found empty response
Media typeapplication/json